Create payout
curl --request POST \
--url https://api.managem.co.uk/seller/payouts/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "<string>"
}
'import requests
url = "https://api.managem.co.uk/seller/payouts/withdraw"
payload = {
"amount": 123,
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, currency: '<string>'})
};
fetch('https://api.managem.co.uk/seller/payouts/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"amount": 123,
"currency": "<string>",
"arrivalDate": "<string>",
"status": "<string>"
}Finance
Create payout
Create a payout request for the authenticated seller.
Use this endpoint when a seller explicitly requests withdrawal of available funds.
Validation and rules:
- Reads current balance before creating a payout.
- Enforces a minimum available balance of
1000(smallest currency unit). - Returns
400if balance is below the minimum threshold.
Response:
- Returns
201with the created payout resource on success.
POST
/
seller
/
payouts
/
withdraw
Create payout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Payout created
Information returned after creating a payout